#ifndef GAMESHELL_HPP_INCLUDED
#define GAMESHELL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/Canvas.hpp"

namespace Internal
{
    class GameShell : public Object
    {
        public:
            GameShell(const void* Obj);

            GameShell() = default;
            GameShell(GameShell&& Obj) = default;
            GameShell(const GameShell& Obj) = default;
            GameShell& operator=(GameShell&& Obj) = default;
            GameShell& operator=(const GameShell& Obj) = default;

            static Class GetClass();

            Canvas GetCanvas() const;

    };
}

#endif // GAMESHELL_HPP_INCLUDED
